Bug 43885 - Linux 7 install bug
Summary: Linux 7 install bug
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-07 19:14 UTC by Zach
Modified: 2007-03-27 03:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 02:00:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file (1.38 KB, patch)
2001-06-07 19:14 UTC, Zach
no flags Details | Diff

Description Zach 2001-06-07 19:14:05 UTC
Description of Problem:
I can't install linux 7 on my computer.  I have it partitioned and I want 
to dual-boot windows 98 and Linux.  It gives me an error message when i 
tell it that I want to mount the 2nd partition to root (/).  The included 
log file is generated.  

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Zach 2001-06-07 19:14:44 UTC
Created attachment 20572 [details]
Log file

Comment 2 Brent Fox 2001-06-10 19:22:34 UTC
Are you setting a mount point for the DOS partition?

Comment 3 Zach 2001-06-10 19:35:44 UTC
I've partitioned my hard drive so that i have two.  Both are Win95 Fat32.  I 
set the mount point for the second partition as root (/).  Do I need to change 
the drive type to dos?  or can I?

Comment 4 Brent Fox 2001-06-11 21:42:14 UTC
So, do you want to install Linux onto a FAT partition that also contains Windows
data?  It is possible to do this, but it is generally better to have Linux
reside on it's own partition, which is of type 'ext2'.  If you don't have any
data on that second Windows partition, I would recommend deleting it in Disk
Druid and then creating a new 'ext2' partition that has a mount point of root
(/).  You'll also need to make a swap partition.

However, it is possible to install Linux onto a FAT partitions that already
exists.  You just need to set the mount point for that partition to "/".  I
would recommend not setting a mount point of any kind for the first FAT
partition on your drive.  Does that help?

Comment 5 Zach 2001-06-11 22:05:37 UTC
Basically, as long as everything on windows is still there, and linux is 
installed, i don't care what partition it's installed on.  
i can't find the ext2 type of partition in the list, and linux won't let me 
install it on a FAT partition.

Comment 6 Brent Fox 2001-06-12 14:22:21 UTC
So is there any data on the second Windows partition?

Comment 7 Zach 2001-06-12 17:12:13 UTC
I don't think so.  I defragged the hard drive and made sure there was enough 
space for the 2nd partition.  then i used fips to create a new partition.

Comment 8 Brent Fox 2001-06-12 22:50:55 UTC
Ok, what I'd recommend is to use Disk Druid to delete that second partition. 
Then create two new partitions...one which is a swap partition at about 128 MB
in size.  Then, I'd make a / partition of type 'ext2' and then set it to use the
rest of the space on the hard drive.

Comment 9 Zach 2001-06-12 23:10:50 UTC
Worked perfectly :)  Thanks for your help!



Comment 10 Brent Fox 2001-06-13 02:00:32 UTC
Good.  Glad to hear that things are working now.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.